namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_ExamRecordDetail(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_ExamRecordDetailController : BaseController<IGhre_ExamRecordDetailServices, Ghre_ExamRecordDetail, Ghre_ExamRecordDetailDto, InsertGhre_ExamRecordDetailInput, EditGhre_ExamRecordDetailInput>
{
    public Ghre_ExamRecordDetailController(IGhre_ExamRecordDetailServices service) : base(service)
    {
    }
}